package me.unurled.raxen.components.entity.player.classes;

import lombok.Getter;
import org.bukkit.Material;
import org.bukkit.inventory.ItemStack;

import static me.unurled.raxen.utils.Utils.colorTextComp;

public class Class {

    @Getter
    String name;
    @Getter
    String colorName;
    @Getter
    String ID;
    @Getter
    ItemStack placeHolder;
    @Getter
    Integer max_level;

    public Class(String name, String colorName, String ID, String itemPlaceHolder, Integer max_level) {
        this.name = name;
        this.ID = ID;
        this.placeHolder = new ItemStack(Material.getMaterial(itemPlaceHolder));
        this.placeHolder.getItemMeta().displayName(colorTextComp(colorName));
        this.max_level = max_level;
    }

    public Class(String name, String colorName, String ID, ItemStack itemPlaceHolder, Integer max_level) {
        this.name = name;
        this.ID = ID;
        this.placeHolder = itemPlaceHolder;
        this.placeHolder.getItemMeta().displayName(colorTextComp(colorName));
        this.max_level = max_level;
    }
}
