package me.unurled.raxen.components.entity.player.classes;

import lombok.Getter;
import lombok.Setter;
import me.unurled.raxen.Raxen;
import me.unurled.raxen.components.entity.player.classes.list.Assassin;

import static me.unurled.raxen.utils.Utils.debug;

public class Classes {

    private final Raxen main;

    public Classes(Raxen main) {
        this.main = main;
        register();
    }

    public void register() {
        registerClass(new Assassin());
    }

    public class resultClass {
        @Getter
        @Setter
        public Class clas;
        @Getter
        @Setter
        public String id;
        public resultClass(Class clas, String id) {
            this.clas = clas;
            this.id = id;
        }
    }

    public void registerClass(Class clas) {
        debug(clas.getID());
        main.getManager().getPlayerManager().addClasses(clas, clas.getID());
    }
}
