package me.unurled.raxen.listener.player;

import me.unurled.raxen.Raxen;
import me.unurled.raxen.manager.entity.PlayerManager;
import net.kyori.adventure.text.Component;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.InventoryCloseEvent;

import static me.unurled.raxen.utils.Utils.log;

public class CloseInventoryEvent implements Listener {

    private PlayerManager playerManager;

    /**
     * save enderchest/storage when player close
     * @param e
     */
    @EventHandler
    public void InventoryCloseEvent(InventoryCloseEvent e) {
        Player player = (Player) e.getPlayer();
        Component title = e.getView().title();
        if (title.toString().contains("Ender Chest")) {
            playerManager = ((Raxen) Bukkit.getPluginManager().getPlugin("Raxen")).getManager().getPlayerManager();
            playerManager.getRaxenPlayer(player).setStorage(e.getInventory());
        }
        log(player.getName() + " " + title.toString());
    }
}
