package me.unurled.raxen.components.entity.player;

import me.unurled.raxen.Raxen;
import me.unurled.raxen.manager.entity.PlayerManager;
import org.bukkit.Bukkit;
import org.bukkit.attribute.Attribute;
import org.bukkit.entity.Player;

import static me.unurled.raxen.utils.Utils.debug;

public class PlayerUtils {

    public static void updateSkills(Raxen main, Player player) {
        PlayerManager pm = ((Raxen) Bukkit.getPluginManager().getPlugin("Raxen")).getManager().getPlayerManager();
        int maxHealth, health, itemHealth, defense, itemDefense, speed, itemSpeed, strength, itemStrength, maxMana, mana, itemMana, luck, itemLuck;
        defense= pm.getDefense().get(player);
        maxMana = pm.getMaxMana().get(player);
        itemDefense= pm.getItemDefense().get(player);
        health = pm.getHealth().get(player);
        itemHealth = pm.getItemHealth().get(player);
        mana = pm.getMana().get(player);
        speed = pm.getSpeed().get(player);
        itemLuck = pm.getItemLuck().get(player);
        strength = pm.getStrength().get(player);
        luck = pm.getLuck().get(player);
        maxHealth = pm.getMaxHealth().get(player);
        itemStrength = pm.getItemStrength().get(player);
        itemSpeed = pm.getItemSpeed().get(player);
        itemMana = pm.getItemMana().get(player);
        player.getAttribute(Attribute.GENERIC_MAX_HEALTH).setBaseValue(20D + (health + itemHealth) / 100);
        player.setWalkSpeed((float) (0.0 + ((speed + itemSpeed) / 100) * 0.2));
        player.setFlySpeed((float) (0.0 + ((speed + itemSpeed) / 100) * 0.2));
        debug("Player " + player.getName(),
                "Speed " + (speed + itemSpeed),
                "Health " + (health + itemHealth) + " Max Health " + maxHealth,
                "Defense " + (defense+itemDefense),
                "Strength " + (strength+itemStrength),
                "Luck " + (luck+itemLuck),
                "Mana " + (mana + itemMana) + " Max Mana " + maxMana);
    }

}
